#!/bin/bash

# This code block is a hack to enable execution of demo scripts without
# global installation of bash-base. Do not use it, in your production scripts.
BBLIBFILE=bash-base.bash
for bbloc in bash-base.bash ../libexec/bash-base.bash \
    /usr/libexec/bash-base.bash
do
    if [ -f "$bbloc" ]
    then
	BBLIBFILE="$bbloc"
	break
    fi
done
source "$BBLIBFILE" || {
    echo "${0##*/}: fatal error: failed to source bash-base.bash" >&2
    exit 1
}

# putting code in a main function allows local variables
function main() {
    bb_msg info "hello world"
}

main "$@"

# always use bb_quit to quit, it cares about traps and hooks
bb_quit
